export interface AlarmLevelVO {
  /**
   * 报警级别ID
   */
  alarmLevelId: string | number;

  /**
   * 报警级别名称
   */
  alarmLevelName: string;

  /**
   * 严重程度（数字越大，级别越高）
   */
  levelNumber: number;

  /**
   * 状态（1、正常，9、删除）
   */
  levelStatus: string;

  /**
   * 默认通知方式（1、邮箱，2、短信，3、钉钉，4、微信公众号，5、企业微信），多个保存用,隔开。
   */
  defaultNotifyMode: string;

  /**
   * 描述
   */
  remark: string;

}

export interface AlarmLevelForm extends BaseEntity {
  /**
   * 报警级别ID
   */
  alarmLevelId?: string | number;

  /**
   * 报警级别名称
   */
  alarmLevelName?: string;

  /**
   * 严重程度（数字越大，级别越高）
   */
  levelNumber?: number;

  /**
   * 状态（1、正常，9、删除）
   */
  levelStatus?: string;

  /**
   * 默认通知方式（1、邮箱，2、短信，3、钉钉，4、微信公众号，5、企业微信），多个保存用,隔开。
   */
  defaultNotifyMode?: [];

  /**
   * 描述
   */
  remark?: string;

}

export interface AlarmLevelQuery extends PageQuery {

  /**
   * 报警级别ID
   */
  alarmLevelId?: string | number;

  /**
   * 报警级别名称
   */
  alarmLevelName?: string;

  /**
   * 严重程度（数字越大，级别越高）
   */
  levelNumber?: number;

  /**
   * 状态（1、正常，9、删除）
   */
  levelStatus?: string;

  /**
   * 默认通知方式（1、邮箱，2、短信，3、钉钉，4、微信公众号，5、企业微信），多个保存用,隔开。
   */
  defaultNotifyMode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



