export interface AlarmRuleLinkVO {
  /**
   * 报警规则关联ID，主键
   */
  ruleLinkId: string | number;

  /**
   * 报警规则类型(1=设备报警规则,2=离线报警规则)
   */
  alarmRuleType: string;

  /**
   * 报警规则ID，关联hw_alarm_rule的alarm_rule_id
   */
  alarmRuleId: string | number;

  /**
   * 联动类型（1、控制，2、采集）
   */
  linkType: string;

  /**
   * 联动设备，关联表hw_device字段device_id
   */
  linkDeviceId: string | number;

  /**
   * 联动设备功能，关联表hw_device_mode_function字段mode_function_id
   */
  linkDeviceFunctionId: string | number;

  /**
   * 标识符（支持大小写字母、数字和下划线，对外暂时不超过30个字符）
   */
  linkDeviceFunctionIdentifier: string | number;

  /**
   * 联动设备服务的参数值，json格式保存
   */
  linkDeviceFunctionData: string;

}

export interface AlarmRuleLinkForm extends BaseEntity {
  /**
   * 报警规则关联ID，主键
   */
  ruleLinkId?: string | number;

  /**
   * 报警规则类型(1=设备报警规则,2=离线报警规则)
   */
  alarmRuleType?: string;

  /**
   * 报警规则ID，关联hw_alarm_rule的alarm_rule_id
   */
  alarmRuleId?: string | number;

  /**
   * 联动类型（1、控制，2、采集）
   */
  linkType?: string;

  /**
   * 联动设备，关联表hw_device字段device_id
   */
  linkDeviceId?: string | number;

  /**
   * 联动设备功能，关联表hw_device_mode_function字段mode_function_id
   */
  linkDeviceFunctionId?: string | number;

  /**
   * 标识符（支持大小写字母、数字和下划线，对外暂时不超过30个字符）
   */
  linkDeviceFunctionIdentifier?: string | number;

  /**
   * 联动设备服务的参数值，json格式保存
   */
  linkDeviceFunctionData?: string;

}

export interface AlarmRuleLinkQuery extends PageQuery {

  /**
   * 报警规则关联ID，主键
   */
  ruleLinkId?: string | number;

  /**
   * 报警规则类型(1=设备报警规则,2=离线报警规则)
   */
  alarmRuleType?: string;

  /**
   * 报警规则ID，关联hw_alarm_rule的alarm_rule_id
   */
  alarmRuleId?: string | number;

  /**
   * 联动类型（1、控制，2、采集）
   */
  linkType?: string;

  /**
   * 联动设备，关联表hw_device字段device_id
   */
  linkDeviceId?: string | number;

  /**
   * 联动设备功能，关联表hw_device_mode_function字段mode_function_id
   */
  linkDeviceFunctionId?: string | number;

  /**
   * 标识符（支持大小写字母、数字和下划线，对外暂时不超过30个字符）
   */
  linkDeviceFunctionIdentifier?: string | number;

  /**
   * 联动设备服务的参数值，json格式保存
   */
  linkDeviceFunctionData?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



