export interface AlarmTypeVO {
  /**
   * 报警类型ID
   */
  alarmTypeId: string | number;

  /**
   * 报警类型编号
   */
  alarmTypeCode: string;

  /**
   * 报警类型名称
   */
  alarmTypeName: string;

  /**
   * 设备大类ID
   */
  deviceCategoryId: string | number;

  /**
   * 设备类型ID
   */
  deviceTypeId: string | number;

  /**
   * 状态（1、正常，9、删除）
   */
  typeStatus: string;

  /**
   * 备注
   */
  remark: string;

}

export interface AlarmTypeForm extends BaseEntity {
  /**
   * 报警类型ID
   */
  alarmTypeId?: string | number;

  /**
   * 报警类型编号
   */
  alarmTypeCode?: string;

  /**
   * 报警类型名称
   */
  alarmTypeName?: string;

  /**
   * 设备大类ID
   */
  deviceCategoryId?: string | number;

  /**
   * 设备类型ID
   */
  deviceTypeId?: string | number;

  /**
   * 状态（1、正常，9、删除）
   */
  typeStatus?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface AlarmTypeQuery extends PageQuery {

  /**
   * 报警类型ID
   */
  alarmTypeId?: string | number;

  /**
   * 报警类型编号
   */
  alarmTypeCode?: string;

  /**
   * 报警类型名称
   */
  alarmTypeName?: string;

  /**
   * 设备大类ID
   */
  deviceCategoryId?: string | number;

  /**
   * 设备类型ID
   */
  deviceTypeId?: string | number;

  /**
   * 状态（1、正常，9、删除）
   */
  typeStatus?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



