export interface DmsBaseDeviceDebuggingVO {
  /**
   * 主键ID
   */
  deviceDebuggingId: string | number;

  /**
   * 调试单号
   */
  workOrder: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 调试状态(0未调试 1调试中 2已完成)
   */
  status: string;

  /**
   * 调试时间
   */
  debugTime: string;

  /**
   * 调试人员
   */
  debugPerson: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备名称
   */
  machineName: string;//JOIN

}

export interface DmsBaseDeviceDebuggingForm extends BaseEntity {
  /**
   * 主键ID
   */
  deviceDebuggingId?: string | number;

  /**
   * 调试单号
   */
  workOrder?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 调试状态(0未调试 1调试中 2已完成)
   */
  status?: string;

  /**
   * 调试时间
   */
  debugTime?: string;

  /**
   * 调试人员
   */
  debugPerson?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备名称
   */
  machineName?: string;//JOIN

}

export interface DmsBaseDeviceDebuggingQuery extends PageQuery {

  /**
   * 主键ID
   */
  deviceDebuggingId?: string | number;

  /**
   * 调试单号
   */
  workOrder?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 调试状态(0未调试 1调试中 2已完成)
   */
  status?: string;

  /**
   * 调试时间
   */
  debugTime?: string;

  /**
   * 调试人员
   */
  debugPerson?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备名称
   */
  machineName?: string;//JOIN
}



