export interface DmsBaseDevicePurchaseVO {
  /**
   * 主键ID
   */
  devicePurchaseId: string | number;

  /**
   * 计划编号
   */
  workOrder: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 采购人
   */
  purchasePerson: string;

  /**
   * 采购地点
   */
  purchasePosition: string;

  /**
   * 采购时间
   */
  purchaseTime: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 机台名称
   */
  machineName?: string;//join

}

export interface DmsBaseDevicePurchaseForm extends BaseEntity {
  /**
   * 主键ID
   */
  devicePurchaseId?: string | number;

  /**
   * 计划编号
   */
  workOrder?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 采购人
   */
  purchasePerson?: string;

  /**
   * 采购地点
   */
  purchasePosition?: string;

  /**
   * 采购时间
   */
  purchaseTime?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 机台名称
   */
  machineName?: string;//join

}

export interface DmsBaseDevicePurchaseQuery extends PageQuery {

  /**
   * 主键ID
   */
  devicePurchaseId?: string | number;

  /**
   * 计划编号
   */
  workOrder?: string;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 采购人
   */
  purchasePerson?: string;

  /**
   * 采购地点
   */
  purchasePosition?: string;

  /**
   * 采购时间
   */
  purchaseTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 机台名称
   */
  machineName?: string;//join
}



