export interface DmsBaseInspectRouteVO {
  /**
   * 主键标识
   */
  inspectRouteId: string | number;

  /**
   * 线路编号
   */
  routeCode: string;

  /**
   * 线路名称
   */
  routeName: string;

  /**
   * 线路类型(1巡检 2点检)
   */
  inspectType: string;

  /**
   * 循环周期
   */
  cyclePeriod: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 设备类型名称
   */
  deviceTypeName: string;

}

export interface DmsBaseInspectRouteForm extends BaseEntity {
  /**
   * 主键标识
   */
  inspectRouteId?: string | number;

  /**
   * 线路编号
   */
  routeCode?: string;

  /**
   * 线路名称
   */
  routeName?: string;

  /**
   * 线路类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 循环周期
   */
  cyclePeriod?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 设备类型名称
   */
  deviceTypeName?: string;

}

export interface DmsBaseInspectRouteQuery extends PageQuery {

  /**
   * 主键标识
   */
  inspectRouteId?: string | number;

  /**
   * 线路编号
   */
  routeCode?: string;

  /**
   * 线路名称
   */
  routeName?: string;

  /**
   * 线路类型(1巡检 2点检)
   */
  inspectType?: string;

  /**
   * 循环周期
   */
  cyclePeriod?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型名称
   */
  deviceTypeName?: string;

}



