export interface DmsInspectRouteDetailVO {
  /**
   * 主键标识
   */
  routeDetailId: string | number;

  /**
   * 线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId: string | number;

  /**
   * 巡检步骤
   */
  lineStep: number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId: string | number;

  /**
   * 巡检标准;预留，不需要关联巡检标准，一条巡检线路的巡检标准都相同
   */
  inspectStandard: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 线路名称
   */
  routeName: string;

  /**
   * 设备名称
   */
  machineName: string;

}

export interface DmsInspectRouteDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  routeDetailId?: string | number;

  /**
   * 线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 巡检步骤
   */
  lineStep?: number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 巡检标准;预留，不需要关联巡检标准，一条巡检线路的巡检标准都相同
   */
  inspectStandard?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 线路名称
   */
  routeName?: string;

  /**
   * 设备名称
   */
  machineName?: string;

}

export interface DmsInspectRouteDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  routeDetailId?: string | number;

  /**
   * 线路ID，关联dms_base_inspect_route的inspect_route_id
   */
  inspectRouteId?: string | number;

  /**
   * 巡检步骤
   */
  lineStep?: number;

  /**
   * 设备ID，关联prod_base_machine_info的machine_id
   */
  machineId?: string | number;

  /**
   * 巡检标准;预留，不需要关联巡检标准，一条巡检线路的巡检标准都相同
   */
  inspectStandard?: string;

    /**
     * 日期范围参数
     */
    params?: any


  /**
   * 线路名称
   */
  routeName?: string;

  /**
   * 设备名称
   */
  machineName?: string;
}



