export interface DmsKnowledgeLubeVO {
  /**
   * 主键标识
   */
  knowledgeLubeId: string | number;

  /**
   * 经验编号
   */
  experienceCode: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId: string | number;

  /**
   * 润滑部位，关联dms_base_lube_station的lube_station_id
   */
  lubeStationId: string | number;

  /**
   * 润滑标准
   */
  protocolCode: string;

  /**
   * 操作描述
   */
  operationsDescription: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 设备类型
   */
  deviceTypeName: string;//JOIN

  /**
   * 部位名称
   */
  lubeStationName?: string;//JOIN

}

export interface DmsKnowledgeLubeForm extends BaseEntity {
  /**
   * 主键标识
   */
  knowledgeLubeId?: string | number;

  /**
   * 经验编号
   */
  experienceCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 润滑部位，关联dms_base_lube_station的lube_station_id
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准
   */
  protocolCode?: string;

  /**
   * 操作描述
   */
  operationsDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

  /**
   * 部位名称
   */
  lubeStationName?: string;//JOIN

}

export interface DmsKnowledgeLubeQuery extends PageQuery {

  /**
   * 主键标识
   */
  knowledgeLubeId?: string | number;

  /**
   * 经验编号
   */
  experienceCode?: string;

  /**
   * 设备类型ID，关联base_device_type的device_type_id
   */
  deviceTypeId?: string | number;

  /**
   * 润滑部位，关联dms_base_lube_station的lube_station_id
   */
  lubeStationId?: string | number;

  /**
   * 润滑标准
   */
  protocolCode?: string;

  /**
   * 操作描述
   */
  operationsDescription?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 设备类型
   */
  deviceTypeName?: string;//JOIN

  /**
   * 部位名称
   */
  lubeStationName?: string;//JOIN

}



