export interface DmsPlanMaintVO {
  /**
   * 主键标识
   */
  planMaintId: string | number;

  /**
   * 计划编号
   */
  planMaintCode: string;

  /**
   * 保养级别（1日常保养 2月度保养 3年度保养）
   */
  maintLevel: string;

  /**
   * 保养组别
   */
  maintGroup: string;

  /**
   * 保养负责人
   */
  maintSupervisor: string;

  /**
   * 本次保养时间
   */
  maintTime: string;

  /**
   * 关联sj_job主键id
   */
  jobId: string | number;

  /**
   * 时限（秒）;对于超期的报警
   */
  timeLimit: number;

  /**
   * 循环周期
   */
  cyclePeriod: number;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus: number;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

}

export interface DmsPlanMaintForm extends BaseEntity {
  /**
   * 主键标识
   */
  planMaintId?: string | number;

  /**
   * 计划编号
   */
  planMaintCode?: string;

  /**
   * 保养级别（1日常保养 2月度保养 3年度保养）
   */
  maintLevel?: string;

  /**
   * 保养组别
   */
  maintGroup?: string;

  /**
   * 保养负责人
   */
  maintSupervisor?: string;

  /**
   * 本次保养时间
   */
  maintTime?: string;

  /**
   * 关联sj_job主键id
   */
  jobId?: string | number;

  /**
   * 时限（秒）;对于超期的报警
   */
  timeLimit?: number;

  /**
   * 循环周期
   */
  cyclePeriod?: number;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus?: number;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

}

export interface DmsPlanMaintQuery extends PageQuery {

  /**
   * 主键标识
   */
  planMaintId?: string | number;

  /**
   * 计划编号
   */
  planMaintCode?: string;

  /**
   * 保养级别（1日常保养 2月度保养 3年度保养）
   */
  maintLevel?: string;

  /**
   * 保养组别
   */
  maintGroup?: string;

  /**
   * 保养负责人
   */
  maintSupervisor?: string;

  /**
   * 本次保养时间
   */
  maintTime?: string;

  /**
   * 关联sj_job主键id
   */
  jobId?: string | number;

  /**
   * 时限（秒）;对于超期的报警
   */
  timeLimit?: number;

  /**
   * 循环周期
   */
  cyclePeriod?: number;

  /**
   * 保养状态（1待保养 2保养中 3已完成）
   */
  maintStatus?: number;

  /**
   * 创建方式（1人工创建 2自动创建）
   */
  createMethod?: number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



