export interface BaseClassTeamInfoVO {
  /**
   * 主键标识
   */
  classTeamId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 班组编号
   */
  teamCode: string;

  /**
   * 班组名称
   */
  teamName: string;

  /**
   * 班组负责人
   */
  teamHead: string;

  /**
   * 班次ID
   */
  shiftId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 工位ID
   */
  stationId: string | number;

  /**
   * 设备ID
   */
  deviceId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseClassTeamInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  classTeamId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 班组编号
   */
  teamCode?: string;

  /**
   * 班组名称
   */
  teamName?: string;

  /**
   * 班组负责人
   */
  teamHead?: string;

  /**
   * 班次ID
   */
  shiftId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 工位ID
   */
  stationId?: string | number;

  /**
   * 设备ID
   */
  deviceId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 创建部门
   */
  createDept?: number;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;



  productionTimeDays?: number;
  productionTimeHours?: number;
  productionTimeMinutes?: number;


}

export interface BaseClassTeamInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  classTeamId?: string | number;

  /**
   * 租户编号
   */
  tenantId?: string | number;

  /**
   * 班组编号
   */
  teamCode?: string;

  /**
   * 班组名称
   */
  teamName?: string;

  /**
   * 班组负责人
   */
  teamHead?: string;

  /**
   * 班次ID
   */
  shiftId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 工位ID
   */
  stationId?: string | number;

  /**
   * 设备ID
   */
  deviceId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 创建部门
   */
  createDept?: number;

  /**
   * 创建人
   */
  createBy?: number;

  /**
   * 创建时间
   */
  createTime?: string;

  /**
   * 更新人
   */
  updateBy?: number;

  /**
   * 更新时间
   */
  updateTime?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



