export interface BaseMaterialTypeVO {
  /**
   * 物料类型ID
   */
  matrialTypeId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 物料类型编号
   */
  matrialTypeCode: string;

  /**
   * 物料类型名称
   */
  matrialTypeName: string;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  /**
   * 物料小类
   */
  materialSubclass: string;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

  /**
   * 子对象
   */
  children: BaseMaterialTypeVO[];

  /**
   * 物料大类名称
   */
  materialCategoryName?: string;
}

export interface BaseMaterialTypeForm extends BaseEntity {
  /**
   * 物料类型ID
   */
  matrialTypeId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料类型编号
   */
  matrialTypeCode?: string;

  /**
   * 物料类型名称
   */
  matrialTypeName?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  /**
   * 物料小类
   */
  materialSubclass?: string;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 物料大类名称
   */
  materialCategoryName?: string;

}

export interface BaseMaterialTypeQuery {

  /**
   * 物料类型ID
   */
  matrialTypeId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 物料类型编号
   */
  matrialTypeCode?: string;

  /**
   * 物料类型名称
   */
  matrialTypeName?: string;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  /**
   * 物料小类
   */
  materialSubclass?: string;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 激活标识（1是 0否）
   */
  activeFlag?: string;

  /**
   * 日期范围参数
   */
  params?: any;

  /**
   * 物料大类名称
   */
  materialCategoryName?: string;
}



