export interface ProdInputScanInfoVO {
  /**
   * 主键标识
   */
  prodInputScanInfoId: string | number;

  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 机台ID
   */
  machineId: string | number;

  /**
   * 投入条码（密炼、半制品、成型）
   */
  inputBarcode: string;

  /**
   * 生产条码（半制品、成型、硫化）
   */
  productionBarcode: string;

  /**
   * 生产工具
   */
  toolId: string | number;

  /**
   * 物料ID
   */
  materielId: string | number;

  /**
   * 投料工位ID
   */
  stationId: string | number;

  /**
   * 扫描结果
   */
  scanResult: string;

  /**
   * 记录人名称
   */
  userName: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 工序名称
   */
  processName: string;

  /**
   * 机台名称
   */
  machineName: string;

  /**
   * 物料名称
   */
  materielName: string;

  /**
   * 投料工位名称
   */
  stationName: string;

}

export interface ProdInputScanInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  prodInputScanInfoId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 投入条码（密炼、半制品、成型）
   */
  inputBarcode?: string;

  /**
   * 生产条码（半制品、成型、硫化）
   */
  productionBarcode?: string;

  /**
   * 生产工具
   */
  toolId?: string | number;

  /**
   * 物料ID
   */
  materielId?: string | number;

  /**
   * 投料工位ID
   */
  stationId?: string | number;

  /**
   * 扫描结果
   */
  scanResult?: string;

  /**
   * 记录人名称
   */
  userName?: string;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 工序名称
   */
  processName: string;

  /**
   * 机台名称
   */
  machineName: string;

  /**
   * 物料名称
   */
  materielName: string;

  /**
   * 投料工位名称
   */
  stationName: string;

}

export interface ProdInputScanInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  prodInputScanInfoId?: string | number;

  /**
   * 工序ID
   */
  processId?: string | number;

  /**
   * 机台ID
   */
  machineId?: string | number;

  /**
   * 投入条码（密炼、半制品、成型）
   */
  inputBarcode?: string;

  /**
   * 生产条码（半制品、成型、硫化）
   */
  productionBarcode?: string;

  /**
   * 生产工具
   */
  toolId?: string | number;

  /**
   * 物料ID
   */
  materielId?: string | number;

  /**
   * 投料工位ID
   */
  stationId?: string | number;

  /**
   * 扫描结果
   */
  scanResult?: string;

  /**
   * 记录人名称
   */
  userName?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  /**
   * 工序名称
   */
  processName: string;

  /**
   * 机台名称
   */
  machineName: string;

  /**
   * 物料名称
   */
  materielName: string;

  /**
   * 投料工位名称
   */
  stationName: string;

}



