export interface OutstockOrderVO {
  /**
   * 出库单 主键
   */
  outstockId: string | number;

  /**
   * 仓库ID
   */
  warehouseId: string | number;

  /**
   * 出库单号
   */
  outstockCode: string;

  /**
   * 出库类型
   */
  outstockType: string;

  /**
   * 物料大类
   */
  materialCategoryId: string;

  materialCategoryName?: string;


  /**
   * 工单类型(字典：1销售订单,2生产订单,3手工,4系统生成)
   */
  orderType: string;

  /**
   * 订单编号
   */
  orderNo: string;

  /**
   * 审核人
   */
  auditBy: string;

  /**
   * 审核时间
   */
  auditTime: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus: string;

  /**
   * 审核意见
   */
  auditComments: string;

}

export interface OutstockOrderForm extends BaseEntity {
  /**
   * 出库单 主键
   */
  outstockId?: string | number;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 出库单号
   */
  outstockCode?: string;

  /**
   * 出库类型
   */
  outstockType?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 工单类型(字典：1销售订单,2生产订单,3手工,4系统生成)
   */
  orderType?: string;

  /**
   * 订单编号
   */
  orderNo?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

}

export interface OutstockOrderQuery extends PageQuery {

  /**
   * 出库单 主键
   */
  outstockId?: string | number;

  /**
   * 仓库ID
   */
  warehouseId?: string | number;

  /**
   * 出库单号
   */
  outstockCode?: string;

  /**
   * 出库类型
   */
  outstockType?: string;

  /**
   * 物料大类
   */
  materialCategoryId?: string;

  materialCategoryName?: string;

  /**
   * 工单类型(字典：1销售订单,2生产订单,3手工,4系统生成)
   */
  orderType?: string;

  /**
   * 订单编号
   */
  orderNo?: string;

  /**
   * 审核人
   */
  auditBy?: string;

  /**
   * 审核时间
   */
  auditTime?: string;

  /**
   * 审核状态(0待审核,1审核通过,2审核未通过)
   */
  auditStatus?: string;

  /**
   * 审核意见
   */
  auditComments?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



